package com.gic.haoban.manage.service.pojo.bo.welcome;

import java.util.Date;

/**
 * desc：保存欢迎语媒体bo
 *
 * @author: YongEn
 * @date: 2022/2/10
 **/
public class SaveWelcomeMediaBO {
    /**
     * 媒体标题
     */
    private String mediaTitle;
    /**
     * 媒体路径
     */
    private String mediaUrl;

    private String mediaId ;
    private Date mediaTime ;
    /**
     * 小程序页面路径
     */
    private String miniProgramPage;
    /**
     * 媒体类型
     * @see com.gic.haoban.manage.api.enums.WelcomeMediaTypeEnum
     */
    private Integer mediaType;
    /**
     * 媒体大小
     */
    private String mediaSize;
    /**
     * 小程序id,仅类型为5小程序时需要传
     */
    private String  miniprogramSettingId;

    public Date getMediaTime() {
        return mediaTime;
    }

    public void setMediaTime(Date mediaTime) {
        this.mediaTime = mediaTime;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getMediaTitle() {
        return mediaTitle;
    }

    public void setMediaTitle(String mediaTitle) {
        this.mediaTitle = mediaTitle;
    }

    public String getMediaUrl() {
        return mediaUrl;
    }

    public void setMediaUrl(String mediaUrl) {
        this.mediaUrl = mediaUrl;
    }

    public String getMiniProgramPage() {
        return miniProgramPage;
    }

    public void setMiniProgramPage(String miniProgramPage) {
        this.miniProgramPage = miniProgramPage;
    }

    public Integer getMediaType() {
        return mediaType;
    }

    public void setMediaType(Integer mediaType) {
        this.mediaType = mediaType;
    }

    public String getMediaSize() {
        return mediaSize;
    }

    public void setMediaSize(String mediaSize) {
        this.mediaSize = mediaSize;
    }

    public String getMiniprogramSettingId() {
        return miniprogramSettingId;
    }

    public void setMiniprogramSettingId(String miniprogramSettingId) {
        this.miniprogramSettingId = miniprogramSettingId;
    }

    @Override
    public String toString() {
        return "SaveWelcomeMediaBO{" +
                "mediaTitle='" + mediaTitle + '\'' +
                ", mediaUrl='" + mediaUrl + '\'' +
                ", mediaType=" + mediaType +
                '}';
    }
}
